#ifndef TEXTO_H
#define TEXTO_H

#include "Palabras.h"

struct _texto;

typedef struct _texto * Texto;

//Crea un texto vaco
Texto CrearTexto();

//Inserta una nueva lnea vaca al final del texto. 
TipoRetorno InsertarLinea(Texto & texto);

//Inserta una nueva lnea vaca en la posicin indicada.
TipoRetorno InsertarLineaEnPosicion(Texto & texto, Posicion posicionLinea);

//Borra la lnea en la posicin indicada.
TipoRetorno BorrarLinea(Texto & texto, Posicion posicionLinea);

//Borra todas las lneas del texto.
TipoRetorno BorrarTodo(Texto & texto);

//Borra todas las ocurrencias de una palabra en el texto.
TipoRetorno BorrarOcurrenciasPalabraEnTexto(Texto texto, Cadena palabraABorrar);

//Imprime el texto por pantalla.
TipoRetorno ImprimirTexto(Texto texto);

//Inserta una palabra en una lnea en la posicion dada.
TipoRetorno InsertarPalabra(Texto texto, Posicion posicionLinea, Posicion posicionPalabra, Cadena palabraAIngresar);

//Borra la palabra de una linea que se encuentra en la posicin dada.
TipoRetorno BorrarPalabra(Texto texto, Posicion posicionLinea, Posicion posicionPalabra);

//Borra todas las ocurrencias de una palabra en la lnea indicada.
TipoRetorno BorrarOcurrenciasPalabraEnLinea(Texto texto, Posicion posicionLinea, Cadena palabraABorrar);

//Imprime la lnea por pantalla.
TipoRetorno ImprimirLinea(Texto texto, Posicion posicionLinea);


#endif
